Bug 2478 - passdb/pdb_ldap.c
Summary: passdb/pdb_ldap.c
Status: CLOSED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient (show other bugs)
Version: 3.0.11
Hardware: SGI IRIX
: P3 normal
Target Milestone: none
Assignee: Samba Bugzilla Account
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-17 14:56 UTC by Jason Mader (mail bounces back)
Modified: 2005-08-24 10:24 UTC (History)
0 users

See Also:


Attachments
incompatible type patches (1.53 KB, patch)
2005-03-17 15:01 UTC, Jason Mader (mail bounces back)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader (mail bounces back) 2005-03-17 14:56:38 UTC
Compiling passdb/pdb_ldap.c
cc-1164 cc: WARNING File = passdb/pdb_ldap.c, Line = 707
  Argument of type "size_t *" is incompatible with parameter of type "int *".

                        if (pdb_nds_get_password(ldap_state->smbldap_state,
user_dn, &pwd_len, clear_text_pw) == LDAP_SUCCESS) {
                                                                               
     ^

cc-1164 cc: WARNING File = passdb/pdb_ldap.c, Line = 707
  Argument of type "unsigned char *" is incompatible with parameter of type
          "char *".

                        if (pdb_nds_get_password(ldap_state->smbldap_state,
user_dn, &pwd_len, clear_text_pw) == LDAP_SUCCESS) {
                                                                               
               ^

cc-1164 cc: WARNING File = passdb/pdb_ldap.c, Line = 708
  Argument of type "unsigned char *" is incompatible with parameter of type
          "const char *".

                                nt_lm_owf_gen(clear_text_pw, smbntpwd, smblmpwd);
                                              ^
Comment 1 Jason Mader (mail bounces back) 2005-03-17 15:01:13 UTC
Created attachment 1044 [details]
incompatible type patches

Includes the changes on pwHistLen, currHistLen and hours found in Bug 2093.
Comment 2 Gerald (Jerry) Carter 2005-03-22 10:06:58 UTC
fixed.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:24:59 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.